uniform mat4 view;
uniform mat4 model_matrix;

#ifdef VERTEX
vec4 position(mat4 transform_projection, vec4 vertex_position) {
	return view * model_matrix * vertex_position;
}
#endif

#ifdef PIXEL
vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords) {
	vec4 texturecolor = Texel(texture, texture_coords);
	return color*texturecolor;
}
#endif
