local mesh = {
	--bottom              -- first 3 numbers is x , y, z for vertex
	                      -- second 2 are UV data to match the texture to the mesh
	                      -- 3 vertices to a triangle 2 triangles to a face of the cube
	{-1, 1, -1,  0,0},
	{1, 1, -1,   1,0},
	{-1, -1, -1, 0,1},

	{1, 1, -1,   1,0},
	{1, -1, -1,  1,1},
	{-1, -1, -1, 0,1},

	--top
	{-1, 1, 1,   0,0},
	{1, 1, 1,    1,0},
	{-1, -1, 1,  0,1},

	{1, 1, 1,    1,0},
	{1, -1, 1,   1,1},
	{-1, -1, 1,  0,1},

	--right side
	{1, 1, -1,   1,0},
	{1, 1, 1,    1,1},
	{1, -1, -1,  0,0},

	{1, 1, 1,    1,1},
	{1, -1, 1,   0,1},
	{1, -1, -1,  0,0},

	--left side
	{-1, 1, -1,  1,0},
	{-1, 1, 1,   1,1},
	{-1, -1, -1, 0,0},

	{-1, 1, 1,   1,1},
	{-1, -1, 1,  0,1},
	{-1, -1, -1, 0,0},

	--back side
	{-1, 1, 1,   0,1},
	{1, 1, 1,    1,1},
	{-1, 1, -1,  0,0},

	{1, 1, 1,    1,1},
	{1, 1, -1,   1,0},
	{-1, 1, -1,  0,0},

	--front side
	{-1, -1, 1,  0,1},
	{1, -1, 1,   1,1},
	{-1, -1, -1, 0,0},

	{1, -1, 1,   1,1},
	{1, -1, -1,  1,0},
	{-1, -1, -1, 0,0},

}

return mesh